Bug 53286 - Installer refuses to create partitions automatically.
Installer refuses to create partitions automatically.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 21:20 EDT by Mike Javorski
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:48:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here is the ks.cfg I am using (or rather trying to use) (2.62 KB, text/plain)
2001-09-05 21:21 EDT, Mike Javorski
no flags Details

  None (edit)
Description Mike Javorski 2001-09-05 21:20:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-12smp i686; en-US; rv:0.9.1)
Gecko/20010622

Description of problem:
I am trying to create a kickstart that creates very specific partitions as
far as size,location and partition type. I have set up my ks.cfg (will
attatch this after) noting the documentation error from bugzilla bug
#39966; but no dice.. 

I really have no choice in the matter, the partitions are being done for a
specific reason.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create boot disk using included ks.cfg
2. Attempt install from floppy
3. Watch it bail when creating partitions on VC_3
	

Actual Results:  VC_3 indicates that it is unable to create the requested
partitions, but the drive is empty, having had all partitions erased before
attempting an install

Expected Results:  Well... It should create the partitions as indicated,
and continue with the install.

Additional info:
Comment 1 Mike Javorski 2001-09-05 21:21:29 EDT
Created attachment 31034 [details]
Here is the ks.cfg I am using (or rather trying to use)
Comment 2 Matt Wilson 2001-09-05 21:25:28 EDT
if you remove the --asprimary specifications, does the partitioning work?
Comment 3 Mike Javorski 2001-09-05 21:57:55 EDT
No. it still dies.. I tried the following as well (w/ just /boot with an
--asprimary) but it still didn't work

part swap --size 126
part /var --size 2784
part /boot --size 24 --asprimary
part / --size 1569
part /services --size 3059
part /home --size 1184
Comment 4 Matt Wilson 2001-09-05 22:01:11 EDT
can you try changing:

part /services --size 3059

to:

part /services --size 1 --grow

?


Comment 5 Mike Javorski 2001-09-06 18:53:03 EDT
Okay after changing the line as indicated, it doesn't get anywhere.. It asks me
for Language, then Keyboard, Install source, etc.


So basically it is not working AT ALL now.
Comment 6 Jeremy Katz 2001-09-12 14:50:43 EDT
Generally, the asking for more information means a DHCP reply was not received
-- maybe just try again?

Also, how big is the drive on this machine?  Note that anaconda will force the
partitions to be aligned on cylinder boundaries, so the numbers given may or may
not end up being exactly what's used.
Comment 7 Mike Javorski 2001-09-19 20:43:13 EDT
>>Generally, the asking for more information means a DHCP reply was not received
>>-- maybe just try again?
Did that, still no dice.

>>Also, how big is the drive on this machine?  Note that anaconda will force the
>>partitions to be aligned on cylinder boundaries, so the numbers given may 
>>or may not end up being exactly what's used.

Well I understand that it matches the cylinder boundaries, but even when I had
one of the partitions to (--size 1 --grow) it still bailed.

This is a 9GB Drive, and the partition layout has been used (albeit manually)
before trying the Kickstart Install.
Comment 8 Jeremy Katz 2002-01-21 20:16:30 EST
Does this work any better with newer releases than 7.0?  7.0's partitioning was
completely different from 7.2's and there isn't really any effort into fixing
problems with the 7.0 stuff
Comment 9 Mike Javorski 2002-01-21 20:26:29 EST
Well this bug still exists in 7.2, and the additional (cylinder based)
partitioning functionality added to 7.2 is broken as well.. (see bug #55138)...

I would like to upgrade to 7.2, but the partitioning issue must be dealt with
first as it will take a considerable amount of time to deploy without it.
Comment 10 Jeremy Katz 2002-03-01 01:13:24 EST
Exactly what does the kickstart config you are using look like?  I can't
reproduce the problem here making a similar kickstart config, although I
obviously have different sized drives.  But the getting asked about network info
and install location generally means that your kickstart config is not complete.
Comment 11 Michael Fulbright 2002-04-10 14:20:15 EDT
Closing due to inactivity, please reopen if you contine to have problems.
Comment 12 Red Hat Bugzilla 2006-02-21 13:48:07 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.